Subject: Re: TCL/TK and GNU B19
From: [email-masked] (Mumit Khan)

29 Mar 1998 13:26:30 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked] (Utilisateur genesis)
Cc: [email-masked]

[email-masked] (Utilisateur genesis) writes:
> 
> Hi there,
> 
> I have some problems with TCL/TK 8.0 and GNU B19.
> 
> I have a C application that call TCL interpreteur to execute TCL and TK comma
> nd. For that I've insert in my application a copy of tkMain.c source, to crea
> te and initialize TCL shell.

The problem is the way you've created the initial interpreter and handle
the events, and if you follow tcl/tk 8.0 guidelines (I believe Tcl group
has something called example.tar.gz that illustrates this), this code will
work just fine.

Tk's event handling takes a while to get used, especially since you can't
assume everything is Unix. BTW, your program will have *exactly* the same
problem even if it's built with MSVC or BC compiled 8.0/8.0p1/8.0p2 Tcl/Tk 
libs on Win32. Trust me.

To understand what is going on, do the following:
  
  c:\> gcc -c testinterp.c -I/path/to/tcl/includes
  c:\> gcc -o testinterp testinterp.o -L/path/to/tcl/libs -ltk80 -ltcl80

  [ DO NOT use -mwindows for this example ]

Now run:
  
  c:\> testinterp
  % update
  % vwait foo

Tcl 7.6/Tk 4.2 used a different event model, so it just happened to work.

Mumit

Cc: gnu-win32 mailing list
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".